Bug 245669 - devel/nexus2-oss: Upgrade to 2.14.18-01
Summary: devel/nexus2-oss: Upgrade to 2.14.18-01
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Greg Lewis
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-16 15:14 UTC by Michael Osipov
Modified: 2020-06-18 03:21 UTC (History)
2 users (show)

See Also:
michael.osipov: maintainer-feedback+
michael.osipov: merge-quarterly?


Attachments
Patch against /usr/ports (2.82 KB, patch)
2020-04-16 15:14 UTC, Michael Osipov
no flags Details | Diff
Patch against /usr/ports (6.14 KB, patch)
2020-06-16 18:11 UTC, Michael Osipov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2020-04-16 15:14:02 UTC
Created attachment 213463 [details]
Patch against /usr/ports

Port maintainer here..

Attached is a patch to upgrade Nexus 2 OSS. Works for me with Poudriere.
Comment 1 Automation User 2020-04-16 15:27:43 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/136766925
Comment 2 Michael Osipov 2020-04-16 15:51:47 UTC
Please merge also in quarterly, this release fixes some CVEs.
Comment 3 Michael Osipov 2020-06-16 10:03:50 UTC
A patch for 2.14.18-01 is in the works
Comment 4 Michael Osipov 2020-06-16 18:11:04 UTC
Created attachment 215629 [details]
Patch against /usr/ports

Passes on current release versions with Poudriere
Comment 5 Michael Osipov 2020-06-16 18:11:48 UTC
glewis@,

can you have a look. This release has CVE fixes and well as upcoming SHA-2 support in Maven.
Comment 6 commit-hook freebsd_committer 2020-06-18 03:21:30 UTC
A commit references this bug:

Author: glewis
Date: Thu Jun 18 03:21:15 UTC 2020
New revision: 539517
URL: https://svnweb.freebsd.org/changeset/ports/539517

Log:
  Update to 2.4.18

  PR:		245669
  Submitted by:	Michael Osipov <michael.osipov@siemens.com> (MAINTAINER)

Changes:
  head/devel/nexus2-oss/Makefile
  head/devel/nexus2-oss/distinfo
  head/devel/nexus2-oss/pkg-plist
Comment 7 Greg Lewis freebsd_committer 2020-06-18 03:21:57 UTC
Thanks.  I've committed the update.